Subject: Advice can only be declared on public methods
Description

Advice can only be declared on public methods. This should work for protected methods, too.

Associated revisions
Revision 848b6361 - 2009-03-02 15:33 - Karsten Dambekalns
FLOW3:
    -  fixed use of get_class_methods in reflection service and proxy class builder, fixes #2683
    -  made Router.findMatchResults() protected (was blocked by #2683)

History
#1 - 2009-02-27 12:57 - Karsten Dambekalns
- Subject changed from "methodTaggedWith" only matches public methods to Advice can only be declared on public methods
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#2 - 2009-03-02 15:28 - Karsten Dambekalns

This is caused by "unexpected" behaviour of PHP. get_class_methods() returns only names of public methods, but is used to fetch the available
methods. This is the case also in the Reflection\Service.

#3 - 2009-03-02 15:55 - Bastian Waidelich

It seems, you gotta use \ReflectionClass in order to fetch private and protected methods of a class.

#4 - 2009-03-02 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1954.
